API ReferenceLogs

Get log details by IDv3.1

Markdown
GET
/api/v3.1/logs/tool_execution/{id}

Retrieve detailed log information by log ID.

x-api-key<token>

Project API key authentication

In: header

Path Parameters

idstring

The log ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://backend.composio.dev/api/v3.1/logs/tool_execution/string"
{
  "id": "string",
  "timestamp": "2019-08-24T14:15:22Z",
  "type": "string",
  "status": "success",
  "level": "info",
  "message": "string",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "metrics": {
    "property1": null,
    "property2": null
  },
  "parent": {
    "log_id": "string",
    "tool_slug": "string"
  },
  "timings": {
    "start_time": 0,
    "end_time": 0
  },
  "context": {
    "session_id": "string",
    "trace_id": "string",
    "request_id": "string"
  },
  "source": {
    "host": "string",
    "framework": "string",
    "language": "string"
  },
  "data": {
    "property1": null,
    "property2": null
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}